<!DOCTYPE html>

<!-- Copyright 2023 The MediaPipe Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License. -->

<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="Cache-control" content="no-cache, no-store, must-revalidate">
    <meta http-equiv="Pragma" content="no-cache">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
    <title>skin color change</title>
    <!--Öffentliche Scripts für das mash und video Bearbeitung-->
    <script src="ml5_min2.js"></script>
    <script src="p5_sound_min.js"></script>

    <!-- camera -->
    <script src="camera.js" ></script>
    <script src="p5.js"></script>
    <script src="p5_min.js"></script>

    <link rel="stylesheet" href="prop.css"></link>
	<link rel="stylesheet" href="w3.css"></link>
	<link rel="stylesheet" href="css/font-awesome.min.css" type='text/css'></link>
</head>
<body class="w3-content" style="max-width:1400px">
	<div class="w3-container"> 
		<div class="w3-card w3-section"> 
		  <header class="w3-container w3-teal">
    		<h1>How can I change my face color?</h1>
		  </header>
		</div>


		<button onclick="w3show('Settings')" class="w3-btn w3-block w3-teal w3-left-align"><i class="fa fa-caret-down" aria-hidden="true"></i>&nbsp;Settings</button>
		<div id="Settings" class="w3-card w3-hide">
			<form>
				<table>
					<tr>
						<th class="th-right"><label>Face Mask</label></th>
						<th><input value="F_mask" type="checkbox" id="check1"></th>
						<th><input type="color" id="col_1" name="col1" value="#ff0000"></th>
						<th><input type="range" min="1" max="100" value="50" id="meinRang1"></th>
						<th><label id="Rang1"></label></th>
					</tr>
				
					<tr>
						<th class="th-right"><label>Lips</label></th>
						<th><input value="lip" type="checkbox" id="check2"></th>
						<th><input type="color" id="col_2" name="col2" value="#ff0000">     </th>
						<th><input type="range" min="1" max="100" value="50" id="meinRang2"></th>
						<th><label id="Rang2"></label></th>
					<tr>
				
					<tr>
						<th class="th-right"><label>Mouth</label></th>
						<th><input value="mou" type="checkbox" id="check3"></th>
						<th><input type="color" id="col_3" name="col3" value="#ff0000">  </th>
						<th><input type="range" min="1" max="100" value="50" id="meinRang3"></th>
						<th><label id="Rang3"></label></th>
					</tr>
				
					<tr>
						<th class="th-right"><label>Left Eye</label></th>
						<th><input value="L_eye" type="checkbox" id="check4"></th>
						<th><input type="color" id="col_4" name="col4" value="#ff0000"></th>
						<th><input type="range" min="1" max="100" value="50" id="meinRang4"></th>
						<th><label id="Rang4"></label></th>
					</tr>
				
					<tr>
						<th class="th-right"><label>Right Eye</label></th>
						<th><input value="R_eye" type="checkbox" id="check5"></th>
						<th><input type="color" id="col_5" name="col5" value="#ff0000">     </th>
						<th><input type="range" min="1" max="100" value="50" id="meinRang5"></th>
						<th><label id="Rang5"></label></th>
					</tr>
				
					<tr>
						<th class="th-right"><label>Normal Face</label></th>
						<th><input value="N_face" type="checkbox" id="check6"></th>
						<th><input type="color" id="col_6" name="col6" value="#ff0000">     </th>
						<th><input type="range" min="1" max="100" value="50" id="meinRang6"></th>
						<th><label id="Rang6"></label></th>
					</tr>
				
					<tr>
						<th class="th-right"><label>Face With Color Tones</label></th>
						<th><input value="F_color_tone" type="checkbox" id="check7"></th>
						<th><input type="color" id="col_7" name="col7" value="#ff0000">    </th>
						<th><input type="range" min="1" max="100" value="50" id="meinRang7"></th>
						<th><label id="Rang7"></label></th>
					</tr>
				</table>
			</form>
		</div>

	</div>
	
	<!--"Kamera wird hier eingebaut"-->
	<div id="canvasContainer" class="w3-container w3-section">
	</div>

	<script>
		function w3show(id) {
		  var x = document.getElementById(id);
		  if (x.className.indexOf("w3-show") == -1) {
			x.className += " w3-show";
		  } else { 
			x.className = x.className.replace(" w3-show", "");
		  }
		}
	</script>


</body>
</html>